Skip to main content
GET
/
api
/
v2
/
{portalId}
/
submission
/
accounts
Submission Accounts
curl --request GET \
  --url https://api.example.com/api/v2/{portalId}/submission/accounts
{
  "claimWallet": null,
  "submitted": true,
  "pohPassed": true,
  "accounts": [
    {
      "value": "0x1234...abcd",
      "type": "WALLET",
      "isEligible": true,
      "description": "This wallet is eligible for the airdrop"
    },
    {
      "value": "0x5678...abcd",
      "type": "WALLET",
      "isEligible": false,
      "description": null
    }
  ]
}

Path Parameters

portalId
string<uuid>
required

unique portal id (provided by Magna)

Response

Ok

Ok

claimWallet
string | null
required

the wallet address used for claiming

submitted
boolean
required

whether the submission was confirmed

pohPassed
boolean | null
required

whether the proof of humanity check was passed

accounts
object[]
required

list of eligible account values